
jQuery(document).ready(function(){
	jQuery("#translateHelperInfo").draggable();
	jQuery("translatehelperword").each(function(){
		var elem = jQuery(this);
		var key = elem.attr('data-id');
		translateHelperPlaceIcon(elem,key);
		elem.replaceWith(transHelperElems[key].word);
	});
});

function translateHelperPlaceIcon(elem,key){
	var offset = elem.offset();
	var icon = jQuery('<div class="translateHelperIcon"><img class="translateHelperIconEdit" data-key="'+key+'" src="'+translateHelperIcon+'" title="Edit" /></div>');
	jQuery('body').append(icon);
	translateHelperBindClick(icon);
	icon.css('top',offset.top+5);
	icon.css('left',offset.left-16);
}

function translateHelperBindClick(elem){
	elem.children('.translateHelperIconEdit').click(function(){
		var self = jQuery(this);
		translateHelperEditWord(this.parentNode,self.attr('data-key'));
	});
}

function translateHelperEditWord(elem,id){
	elem = jQuery(elem);
	var obj = transHelperElems[id];
	var file = obj.file;
	var key = obj.key;
	var ext = obj.ext;
	var tmp = '';
	jQuery.ajax({
		url: JURIbase+'index.php?zTask=editWord&file='+escape(file)+'&key='+key+'&ext='+ext,
		beforeSend: function(){
			tmp = elem.html();
			elem.html('<img src="'+JURIroot+'plugins/system/translateHelper/assets/images/aload.gif" />');
		},
		success: function(data) {
			var dataKey = data.substring(0,1);
			if(dataKey=='!'){
				elem.html(tmp);
				translateHelperBindClick(elem);
				if(data=='!x!') alert('Text not found');
				else alert(data.substring(1));
				return;
			}
			elem.remove();
			var win = jQuery('<div class="translateHelperWordEdit">');
			win.html(data);
			jQuery("body").append(win);
			win.css('top',(jQuery(window).scrollTop()+200));
			win.draggable();
		}
	});
}

function translateHelperSave(elem){
	var box = jQuery(elem.parentNode);
	var form = box.children('form');
	var vars = form.serialize();
	var obj = jQuery(elem);
	tmp = obj.context;
	obj.replaceWith('<img class="zSaveImg" src="'+URL2Assets+'/images/aload.gif" title="Loading..." />');
	jQuery.ajax({
		url: JURIbase+'index.php',
		data: vars,
		success: function(data) {
			if(data.substring(0,1)=='!'){
				box.children('.zSaveImg').replaceWith(tmp);
				alert(data.substring(1));
				return;
			}
			box.children('.zSaveImg').remove();
			form.html(data);
		}
	});
}


